Package org.eclipse.net4j.util.om.log

# Class OSGiLogHandler

java.lang.Object
org.eclipse.net4j.util.om.log.OSGiLogHandler

All Implemented Interfaces:
  `OMLogHandler`

public class OSGiLogHandler extends Object implements OMLogHandler
A `log handler` that appends log events to the OSGi `log service`.

Since:
  3.8
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final OSGiLogHandler`
`INSTANCE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`OSGiLogHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected org.osgi.service.log.Logger`
`getLogger(org.osgi.framework.BundleContext bundleContext)`
`void`
`logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
`void`
`logged(org.osgi.framework.BundleContext bundleContext, OMLogger.Level level, String msg, Throwable t)`
`static org.osgi.service.log.LogLevel`
`toOSGi(OMLogger.Level level)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final OSGiLogHandler INSTANCE

## Constructor Details

### OSGiLogHandler

protected OSGiLogHandler()

## Method Details

### logged

public void logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)

Specified by:
  `logged` in interface `OMLogHandler`

### logged

public void logged(org.osgi.framework.BundleContext bundleContext, OMLogger.Level level, String msg, Throwable t)

### getLogger

protected org.osgi.service.log.Logger getLogger(org.osgi.framework.BundleContext bundleContext)

### toOSGi

public static org.osgi.service.log.LogLevel toOSGi(OMLogger.Level level)